# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sec/firms/version'

Gem::Specification.new do |spec|
  spec.name          = "sec-firms"
  spec.version       = Sec::Firms::VERSION
  spec.authors       = ['Neighborly' 'Irio Musskopf', 'Josemar Luedke']
  spec.email         = %w(howdy@neighborly.com iirineu@gmail.com josemarluedke@gmail.com)

  spec.summary       = "Firms parser for sec.gov"
  spec.description   = "Firms parser for the U. S. Securities and Exchange Commission"
  spec.homepage      = "https://github.com/neighborly/sec-firms"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "roo-xls", "~> 1.0"
  spec.add_dependency "rubyzip", "~> 1.1"
  spec.add_dependency "slugify", "~> 1.0"
  spec.add_dependency "nokogiri", "> 1.5"

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.3.0"
  spec.add_development_dependency "pry"
end
